From: Justin Iurman <justin.iurman@uliege.be>
To: Kleber Sacilotto de Souza <kleber.souza@canonical.com>,
linux-kernel@vger.kernel.org, linux-kselftest@vger.kernel.org
Cc: Jakub Kicinski <kuba@kernel.org>,
"David S . Miller" <davem@davemloft.net>
Subject: Re: [PATCH] selftests: net: fix IOAM test skip return code
Date: Wed, 27 Jul 2022 11:15:13 -0400 [thread overview]
Message-ID: <8810d090-3fcb-0e93-ce5d-e88abb421dba@uliege.be> (raw)
In-Reply-To: <20220727093742.115882-1-kleber.souza@canonical.com>
On 7/27/22 11:37, Kleber Sacilotto de Souza wrote:
> The ioam6.sh test script exits with an error code (1) when tests are
> skipped due to lack of support from userspace/kernel or not enough
> permissions. It should return the kselftests SKIP code instead.
>
> Signed-off-by: Kleber Sacilotto de Souza <kleber.souza@canonical.com>
> ---
> tools/testing/selftests/net/ioam6.sh | 12 +++++++-----
> 1 file changed, 7 insertions(+), 5 deletions(-)
>
> diff --git a/tools/testing/selftests/net/ioam6.sh b/tools/testing/selftests/net/ioam6.sh
> index a2b9fad5a9a6..4ceb401da1bf 100755
> --- a/tools/testing/selftests/net/ioam6.sh
> +++ b/tools/testing/selftests/net/ioam6.sh
> @@ -117,6 +117,8 @@
> # | Schema Data | |
> # +-----------------------------------------------------------+
>
> +# Kselftest framework requirement - SKIP code is 4.
> +ksft_skip=4
>
> ################################################################################
> # #
> @@ -211,7 +213,7 @@ check_kernel_compatibility()
> echo "SKIP: kernel version probably too old, missing ioam support"
> ip link del veth0 2>/dev/null || true
> ip netns del ioam-tmp-node || true
> - exit 1
> + exit $ksft_skip
> fi
>
> ip -netns ioam-tmp-node route add db02::/64 encap ioam6 mode inline \
> @@ -227,7 +229,7 @@ check_kernel_compatibility()
> "without CONFIG_IPV6_IOAM6_LWTUNNEL?"
> ip link del veth0 2>/dev/null || true
> ip netns del ioam-tmp-node || true
> - exit 1
> + exit $ksft_skip
> fi
>
> ip link del veth0 2>/dev/null || true
> @@ -752,20 +754,20 @@ nfailed=0
> if [ "$(id -u)" -ne 0 ]
> then
> echo "SKIP: Need root privileges"
> - exit 1
> + exit $ksft_skip
> fi
>
> if [ ! -x "$(command -v ip)" ]
> then
> echo "SKIP: Could not run test without ip tool"
> - exit 1
> + exit $ksft_skip
> fi
>
> ip ioam &>/dev/null
> if [ $? = 1 ]
> then
> echo "SKIP: iproute2 too old, missing ioam command"
> - exit 1
> + exit $ksft_skip
> fi
>
> check_kernel_compatibility
LGTM, thanks.
Reviewed-by: Justin Iurman <justin.iurman@uliege.be>
next prev parent reply other threads:[~2022-07-27 15:24 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-27 9:37 [PATCH] selftests: net: fix IOAM test skip return code Kleber Sacilotto de Souza
2022-07-27 15:15 ` Justin Iurman [this message]
2022-07-27 17:45 ` Jakub Kicinski
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=8810d090-3fcb-0e93-ce5d-e88abb421dba@uliege.be \
--to=justin.iurman@uliege.be \
--cc=davem@davemloft.net \
--cc=kleber.souza@canonical.com \
--cc=kuba@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-kselftest@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox